- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.ontologyRecords.mappingRules/test#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.ontologyRecords.mappingRules/test#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.ontologyRecords.mappingRules/test#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.ontologyRecords.mappingRules/test#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.ontologyRecords.mappingRules/test#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.ontologyRecords.mappingRules/test#body.TestMappingRuleResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.ontologyRecords.mappingRules/test#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.ontologyRecords.mappingRules/test#body.aspect_1)

**Full name**: projects.locations.instances.ontologyRecords.mappingRules.test

Validates the logic of a specific mapping rule by applying it to a sample raw data field name and value. Returns the resulting transformed values for verification.

### HTTP request

`POST https://{endpoint}/v1alpha/{name}:test`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The resource name of the MappingRule to test. Format: projects/{project}/locations/{location}/instances/{instance}/ontologyRecords/{ontologyRecord}/mappingRules/{mappingRule} |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "rawDataFieldName": string, "rawDataFieldValue": string } ``` |

| Fields ||
|---|---|
| `rawDataFieldName` | `string` Required. The name of the field in the raw data. |
| `rawDataFieldValue` | `string` Required. The value of the field in the raw data. |

### Response body

Response message for mappingRules.test.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "result": [ string ] } ``` |

| Fields ||
|---|---|
| `result[]` | `string` The result of the test. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `chronicle.mappingRules.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).